{varType Skadmin\Tutorial\Doctrine\Tutorial\Tutorial $tutorial}

<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">

                <div class="row d-flex justify-content-between mb-3" n:if="$tutorial->getPrev() instanceOf Skadmin\Tutorial\Doctrine\Tutorial\Tutorial || $tutorial->getNext() instanceOf Skadmin\Tutorial\Doctrine\Tutorial\Tutorial">
                    <div class="col">
                        <a href="{plink ComponentFront: package => $package, render => 'detail', id => $tutorial->getPrev()->getId()}"
                           class="btn btn-outline-primary" n:if="$tutorial->getPrev() instanceOf Skadmin\Tutorial\Doctrine\Tutorial\Tutorial">
                            <i class="fas fa-chevron-left mr-2"></i> {$tutorial->getPrev()->getName()}
                        </a>
                    </div>
                    <div class="col text-right">
                        <a href="{plink ComponentFront: package => $package, render => 'detail', id => $tutorial->getNext()->getId()}"
                           class="btn btn-outline-primary" n:if="$tutorial->getNext() instanceOf Skadmin\Tutorial\Doctrine\Tutorial\Tutorial">
                            {$tutorial->getNext()->getName()} <i class="fas fa-chevron-right ml-2"></i>
                        </a>
                    </div>
                </div>

                <div n:inner-foreach="$tutorial->getTags() as $tag">
                    <span class="badge mr-1 px-2 mb-1 border border-primary"
                          style="background-color: {$tag->getColor()|noescape}; color: {\SkadminUtils\Utils\Utils\Colors\Colors::getContrastColor($tag->getColor())|noescape}">
                        {$tag->getName()}
                    </span>
                </div>

                <div class="embed-responsive embed-responsive-16by9">
                    <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/{$tutorial->getValue()}?rel=0" allowfullscreen></iframe>
                </div>

                <div class="mt-3">
                    {$tutorial->getContent()|noescape}
                </div>

                <a href="{plink ComponentFront: package => $package, render => 'overview'}" class="btn btn-outline-primary mt-3">{_'tutorial.front.detail.href.back'}</a>
            </div>
        </div>
    </div>
</div>